Package Details: wireshark-gtk2 2.6.10-1

Git Clone URL: https://aur.archlinux.org/wireshark-gtk2.git (read-only)
Package Base: wireshark-gtk2
Description: a free network protocol analyzer for Unix/Linux and Windows - GTK2 frontend
Upstream URL: http://www.wireshark.org/
Licenses: GPL2
Conflicts: wireshark-cli, wireshark-common, wireshark-qt
Provides: wireshark-cli, wireshark-gtk
Submitter: ipha
Maintainer: bidulock
Last Packager: bidulock
Votes: 17
Popularity: 0.000053
First Submitted: 2013-06-13 23:48
Last Updated: 2019-08-05 19:33

Required by (23)

Sources (3)

Latest Comments

1 2 Next › Last »

madscience commented on 2019-08-06 10:05

I just tested and it does build in a clean chroot. Not sure why gcc is complaining.

EDIT: I moved a mount point and it f**ked up my ccache dir. Sorry to trouble you.

bidulock commented on 2019-08-06 09:20

Sorry, version 2.6.10 builds fine for both architectures in a clean chroot.

madscience commented on 2019-08-05 20:47

2.6.10 won't build, make error is "unable to compute suffix of object files". I'm on a fully updated system with no funny gcc customizations. After looking at config.log, the relevant error is:

gcc version 9.1.0 (GCC) configure:4312: $? = 0 configure:4301: gcc -V >&5 gcc: error: unrecognized command line option '-V' gcc: fatal error: no input files compilation terminated.

I checked the configure file, and the issue is on line 4301: for ac_option in --version -v -V -qversion; do

srainey commented on 2019-08-02 19:42

Version is now 2.6.10, causing the download to fail, but you change the PKGBUILD path to https://www.wireshark.org/download/src/all-versions/wireshark-2.6.9.tar.xz to avoid any possible differences from 2.6.10 (I haven't tried 2.6.10, just wanted to make the install as quick as possible here)

ext commented on 2015-12-25 07:37

ar: `u' modifier ignored since `D' is the default (see `U')
ranlib: .libs/libdissectors.a: No space left on device
Makefile:3641: ошибка выполнения рецепта для цели «libdissectors.la»
make[5]: *** [libdissectors.la] Ошибка 1
make[5]: выход из каталога «/tmp/yaourt-tmp-user/aur-wireshark-gtk2/src/wireshark-2.0.0/epan/dissectors»
Makefile:13945: ошибка выполнения рецепта для цели «all-recursive»
make[4]: *** [all-recursive] Ошибка 1
make[4]: выход из каталога «/tmp/yaourt-tmp-user/aur-wireshark-gtk2/src/wireshark-2.0.0/epan/dissectors»
Makefile:3591: ошибка выполнения рецепта для цели «all»
make[3]: *** [all] Ошибка 2
make[3]: выход из каталога «/tmp/yaourt-tmp-user/aur-wireshark-gtk2/src/wireshark-2.0.0/epan/dissectors»
Makefile:1938: ошибка выполнения рецепта для цели «all-recursive»
make[2]: *** [all-recursive] Ошибка 1
make[2]: выход из каталога «/tmp/yaourt-tmp-user/aur-wireshark-gtk2/src/wireshark-2.0.0/epan»
Makefile:3697: ошибка выполнения рецепта для цели «all-recursive»
make[1]: *** [all-recursive] Ошибка 1
make[1]: выход из каталога «/tmp/yaourt-tmp-user/aur-wireshark-gtk2/src/wireshark-2.0.0»
Makefile:2329: ошибка выполнения рецепта для цели «all»
make: *** [all] Ошибка 2
==> ОШИБКА: Произошел сбой в build().
Преждевременный выход...
==> ОШИБКА: Makepkg не смог собрать wireshark-gtk2.
==> Перезапустить сборку wireshark-gtk2 ? да/Нет [y/N]

ipha commented on 2015-08-16 15:18

I've added a patch that allows sbc to be disabled from ./configure: https://code.wireshark.org/review/#/c/6399/

This package should match the official repo now no matter what you have installed.

lilydjwg commented on 2015-08-16 09:22

I guess sbc is not needed for users who don't have them installed already. The libwireshark.so.5.0.6 file from the official repo doesn't need it.

ipha commented on 2015-08-15 16:00

Pesky autoconfigure... can't expect people to build AUR packages in a clean chroot though.

I've explicitly disabled geoip, libsmi, and c-ares and added sbc as a dep since there was no flag to disable it.

ipha commented on 2015-07-14 02:08

Updated to 1.12.6 and switched download url to http://www.wireshark.org/download/src/all-versions/
thanks for the tip!

ipha commented on 2015-03-08 05:02

Updated to 1.12.4